Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.aiff
Class TextChunk

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.iff.Chunk
          edu.harvard.hul.ois.jhove.module.aiff.TextChunk

Direct Known Subclasses:
  AnnotationChunk, AuthorChunk, CopyrightChunk, NameChunk

    public abstract class TextChunk

extends Chunk

Abstract superclass for the name, author, copyright, and annotation chunks, all of which have the same format.

Author:
  Gary McGath

Field Summary
`protected java.lang.String` | `propName` Name of the property.

Fields inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`_dstream, _module, bytesLeft`

Constructor Summary
`TextChunk(AiffModule module, ChunkHeader hdr, java.io.DataInputStream dstrm)` Constructor.

Method Summary
`boolean` | `readChunk(RepInfo info)` Reads a chunk and puts appropriate information into the RepInfo object.
`protected java.lang.String` | `readText()` Reads the chunk's text data.

Methods inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`byteBufString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propName

    protected java.lang.String propName

  Name of the property. The subclass constructor must set this appropriately.

Constructor Detail

### TextChunk

    public TextChunk(AiffModule module,
                     ChunkHeader hdr,
                     java.io.DataInputStream dstrm)

  Constructor.

  Parameters:
    `module` - The AIFFModule under which this was called
    `hdr` - The header for this chunk
    `dstrm` - The stream from which the AIFF data are being read

Method Detail

### readChunk

    public boolean readChunk(RepInfo info)
                      throws java.io.IOException

  Reads a chunk and puts appropriate information into the RepInfo object. This method works for TextChunk, CopyrightChunk and AuthorChunk. AnnotationChunk overrides it, since there can be multiple annotations.

  Specified by:
    `readChunk` in class `Chunk`
  Parameters:
    `info` - RepInfo object to receive information
  Returns:
    `false` if the chunk is structurally invalid, otherwise `true`
  Throws:
    `java.io.IOException`

### readText

    protected java.lang.String readText()
                                 throws java.io.IOException

  Reads the chunk's text data. All text chunk subclasses consist of a text string which takes up the full byte count of the chunk. By the specification, the text is required to be ASCII.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD